1 Reply Latest reply: Apr 3, 2007 1:46 PM by a brody
Kopantz Level 1 Level 1 (0 points)
Hi folks. I have an old iMac G3, 333 MHz, 128 ram, 6 gig (tray loading). I've brought a new 80 gig hd, 2 X 256 ram and a version of OS X 10.2 for it. I have just gotten a copy of Microsoft Office 2004 for the system but when I try to install it the mac says that I can only install office on OS X 10.2.8. Is there a way I can get round this? Or do I need an older version of office to run on it?

iMac G3 (333 MHz) Mac OS X (10.2.x)

iMac G3 (333 MHz), Mac OS 9.2.x